From abd134e5f1c4e0e07009473a3f95885ecd9ea14d Mon Sep 17 00:00:00 2001
From: Guennadi Liakhovetski <g.liakhovetski@gmx.de>
Date: Thu, 12 Apr 2012 15:47:11 +0200
Subject: [PATCH] camera: add an offset parameter to camera_request_memory

V4L2 needs an offset to map video buffers. Add it to camera_request_memory
to be further passed to the CameraHeapMemory() constructor.

Change-Id: Ief83bfe340ff6d7b43a06a47d0dc460988321ea8
---
 include/hardware/camera.h |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

diff --git a/hardware/libhardware/include/hardware/camera.h b/hardware/libhardware/include/hardware/camera.h
index 4d25023..d07ca43 100644
--- a/hardware/libhardware/include/hardware/camera.h
+++ b/hardware/libhardware/include/hardware/camera.h
@@ -73,7 +73,7 @@ typedef struct camera_memory {
 } camera_memory_t;
 
 typedef camera_memory_t* (*camera_request_memory)(int fd, size_t buf_size, unsigned int num_bufs,
-                                                  void *user);
+                                                  uint32_t offset, void *user);
 
 typedef void (*camera_notify_callback)(int32_t msg_type,
         int32_t ext1,
-- 
1.7.2.5

